summaryrefslogtreecommitdiffstats
path: root/gis/geoserver-wps
diff options
context:
space:
mode:
author Benjamin Trigona-Harany2014-02-02 00:37:42 +0100
committer Robby Workman2014-02-02 09:09:47 +0100
commita3758fe606413e19225d3496bedffe7e6aa47dfe (patch)
tree3432c5010d1b84ae8c20614f53feb8a2fff038d7 /gis/geoserver-wps
parentcaf4b19505a131466de2257e4d9dd9ed5766d3bd (diff)
downloadslackbuilds-a3758fe606413e19225d3496bedffe7e6aa47dfe.tar.gz
gis/geoserver-wps: Moved from Academic category.
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'gis/geoserver-wps')
-rw-r--r--gis/geoserver-wps/README3
-rw-r--r--gis/geoserver-wps/geoserver-wps.SlackBuild57
-rw-r--r--gis/geoserver-wps/geoserver-wps.info10
-rw-r--r--gis/geoserver-wps/slack-desc19
4 files changed, 89 insertions, 0 deletions
diff --git a/gis/geoserver-wps/README b/gis/geoserver-wps/README
new file mode 100644
index 0000000000..5f1c2abed1
--- /dev/null
+++ b/gis/geoserver-wps/README
@@ -0,0 +1,3 @@
+The WPS plugin adds Web Processing Service (WPS) support to GeoServer.
+
+Tomcat must be restarted for the plugin to take effect.
diff --git a/gis/geoserver-wps/geoserver-wps.SlackBuild b/gis/geoserver-wps/geoserver-wps.SlackBuild
new file mode 100644
index 0000000000..5db4130904
--- /dev/null
+++ b/gis/geoserver-wps/geoserver-wps.SlackBuild
@@ -0,0 +1,57 @@
+#!/bin/sh
+
+# SlackBuild script for geoserver-wps
+
+# Copyright 2013 Benjamin Trigona-Harany <slackbuilds@jaxartes.net>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=geoserver-wps
+VERSION=${VERSION:-2.4.4}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+ARCH=noarch
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+rm -rf $TMP/$PRGNAM-$VERSION
+cd $TMP
+mkdir $PRGNAM-$VERSION
+cd $PRGNAM-$VERSION
+unzip $CWD/geoserver-$VERSION-wps-plugin.zip
+
+mkdir -p $PKG/usr/share/geoserver/WEB-INF/lib
+cp -r *.jar $PKG/usr/share/geoserver/WEB-INF/lib
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/gis/geoserver-wps/geoserver-wps.info b/gis/geoserver-wps/geoserver-wps.info
new file mode 100644
index 0000000000..4d6bc7fafa
--- /dev/null
+++ b/gis/geoserver-wps/geoserver-wps.info
@@ -0,0 +1,10 @@
+PRGNAM="geoserver-wps"
+VERSION="2.4.4"
+HOMEPAGE="http://geoserver.org"
+DOWNLOAD="http://sourceforge.net/projects/geoserver/files/GeoServer%20Extensions/2.4.4/geoserver-2.4.4-wps-plugin.zip"
+MD5SUM="b673c1259595f9aaa3545789584414c0"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="geoserver"
+MAINTAINER="Benjamin Trigona-Harany"
+EMAIL="slackbuilds@jaxartes.net"
diff --git a/gis/geoserver-wps/slack-desc b/gis/geoserver-wps/slack-desc
new file mode 100644
index 0000000000..f9125cc6cb
--- /dev/null
+++ b/gis/geoserver-wps/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+geoserver-wps: geoserver-wps (WPS support for GeoServer)
+geoserver-wps:
+geoserver-wps: The WPS plugin adds Web Processing Service support to GeoServer.
+geoserver-wps:
+geoserver-wps:
+geoserver-wps:
+geoserver-wps:
+geoserver-wps:
+geoserver-wps:
+geoserver-wps:
+geoserver-wps: